PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » SmartIO (Smart I/O)

## General Description

## Data Structures
struct | cy_stc_smartio_lutcfg_t
| LUT configuration structure. More...
struct | cy_stc_smartio_ducfg_t
| Data Unit (DU) configuration structure. More...
struct | cy_stc_smartio_config_t
| Smart I/O configuration structure. More...

## Data Structure Documentation

## ◆ cy_stc_smartio_lutcfg_t

struct cy_stc_smartio_lutcfg_t

Data Fields
cy_en_smartio_luttr_t | tr0 | LUT input trigger 0 source selection.
cy_en_smartio_luttr_t | tr1 | LUT input trigger 1 source selection.
cy_en_smartio_luttr_t | tr2 | LUT input trigger 2 source selection.
cy_en_smartio_lutopc_t | opcode | LUT Opcode.
uint8_t | lutMap | LUT output mapping.

## ◆ cy_stc_smartio_ducfg_t

struct cy_stc_smartio_ducfg_t

Data Fields
cy_en_smartio_dutr_t | tr0 | DU input trigger 0 source selection.
cy_en_smartio_dutr_t | tr1 | DU input trigger 1 source selection.
cy_en_smartio_dutr_t | tr2 | DU input trigger 2 source selection.
cy_en_smartio_dudata_t | data0 | DU input DATA0 source selection.
cy_en_smartio_dudata_t | data1 | DU input DATA1 source selection.
cy_en_smartio_duopc_t | opcode | DU op-code.
cy_en_smartio_dusize_t | size | DU operation bit size.
uint8_t | dataReg | DU DATA register value.

## ◆ cy_stc_smartio_config_t

struct cy_stc_smartio_config_t

Data Fields
cy_en_smartio_clksrc_t | clkSrc | Smart I/O instance clock source.
uint8_t | bypassMask | Smart I/O io<->chip channel bypass mask.
uint8_t | ioSyncEn | Synchronization enable/disable for I/O terminals.
uint8_t | chipSyncEn | Synchronization enable/disable for Chip terminals.
const cy_stc_smartio_lutcfg_t * | lutCfg0 | Pointer to LUT0 configuration (NULL if not used)
const cy_stc_smartio_lutcfg_t * | lutCfg1 | Pointer to LUT1 configuration (NULL if not used)
const cy_stc_smartio_lutcfg_t * | lutCfg2 | Pointer to LUT2 configuration (NULL if not used)
const cy_stc_smartio_lutcfg_t * | lutCfg3 | Pointer to LUT3 configuration (NULL if not used)
const cy_stc_smartio_lutcfg_t * | lutCfg4 | Pointer to LUT4 configuration (NULL if not used)
const cy_stc_smartio_lutcfg_t * | lutCfg5 | Pointer to LUT5 configuration (NULL if not used)
const cy_stc_smartio_lutcfg_t * | lutCfg6 | Pointer to LUT6 configuration (NULL if not used)
const cy_stc_smartio_lutcfg_t * | lutCfg7 | Pointer to LUT7 configuration (NULL if not used)
const cy_stc_smartio_ducfg_t * | duCfg | Pointer to Data Unit configuration (NULL if not used)
bool | hldOvr | Hold override enable (true) / disable (false)